API reference
GET /api/v1/nodes
Edge nodes and their advertised capacity.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Maximum number of items to return. |
region | string | no | Restrict results to a single region code. |
Response
Content-Type application/json. Cache-Control public, max-age=60.
{
"object": "list",
"data": [
{
"id": "nod_8eabh5kewsnket",
"created_at": "2025-06-01T17:17:30Z",
"pop": "ams1",
"status": "operational",
"capacity": "66G"
},
{
"id": "nod_xcbhzi1u2hm65v",
"created_at": "2024-10-04T11:20:08Z",
"pop": "nyc1",
"status": "operational",
"capacity": "40G"
},
{
"id": "nod_i81l6l694n0mqg",
"created_at": "2024-07-16T16:53:03Z",
"pop": "mil1",
"status": "operational",
"capacity": "83G"
}
],
"pagination": {
"limit": 100,
"count": 3,
"has_more": false
...Example
curl -s https://media.barmalei.com/api/v1/nodes